Hooks:PostHook( WeaponTweakData, "init", "TrackerInit", function(self)

--Base Sight, back part
self:SetupAttachmentPoint("new_m4", {
	name = "a_o_tracker_back",
	base_a_obj = "a_o",
	position = Vector3(0, -9.875, 2.25),
	rotation = Rotation(0, 0, 0)
})

--Front Sight, the one with lots of moving.
--Standard M4 FG
--a_o_iron have a base of x.125 to match the rotating bar
local attachment_points = {
	{
		weapon = "new_m4",
		name = "a_o_iron_std",
		position = Vector3(0, 16.625, 2)
	},
	{
		weapon = "new_m4",
		name = "a_o_base_std",
		position = Vector3(0, -1.5, 0)
	},
	--Aftermarket FG lr300
	{
		weapon = "new_m4",
		name = "a_o_iron_lr300",
		position = Vector3(0, 19.125, 2)
	},
	{
		weapon = "new_m4",
		name = "a_o_base_lr300",
		position = Vector3(0, 1, 0)
	},
	--Compe FG jp
	{
		weapon = "new_m4",
		name = "a_o_iron_jp",
		position = Vector3(0, 23.125, 2)
	},
	{
		weapon = "new_m4",
		name = "a_o_base_jp",
		position = Vector3(0, 5, 0)
	},
	--Gazelle FG smr
	{
		weapon = "new_m4",
		name = "a_o_iron_smr",
		position = Vector3(0, 27.125, 2)
	},
	{
		weapon = "new_m4",
		name = "a_o_base_smr",
		position = Vector3(0, 9, 0)
	},
	--OVAL FG lvoa
	{
		weapon = "new_m4",
		name = "a_o_iron_lvoa",
		position = Vector3(0, 24.125, 2)
	},
	{
		weapon = "new_m4",
		name = "a_o_base_lvoa",
		position = Vector3(0, 6, 0)
	},
	--EMO FG moe
	{
		weapon = "new_m4",
		name = "a_o_iron_moe",
		position = Vector3(0, 22.125, 2)
	},
	{
		weapon = "new_m4",
		name = "a_o_base_moe",
		position = Vector3(0, 4, 0)
	},
	--MOE kit mod
	{
		weapon = "new_m4",
		name = "a_o_iron_moe2",
		position = Vector3(0, 29.125, 2)
	},
	{
		weapon = "new_m4",
		name = "a_o_base_moe2",
		position = Vector3(0, 11, 0)
	}
}
for i = 1, #attachment_points do
	local index = attachment_points[i]

	self:SetupAttachmentPoint(index.weapon, {
		name = index.name,
		base_a_obj = "a_o",
		position = index.position
	})
end

end )